Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/googler: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Sun, 5 Mar 2017 14:55:52 +0800

https://github.com/jarun/googler
Google Search, Google Site Search, Google News from the terminal.
---
 testing/googler/APKBUILD | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 testing/googler/APKBUILD
diff --git a/testing/googler/APKBUILD b/testing/googler/APKBUILD
new file mode 100644
index 0000000..6bac93c
--- /dev/null
+++ b/testing/googler/APKBUILD
_at_@ -0,0 +1,21 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=googler
+pkgver=2.9
+pkgrel=0
+pkgdesc="Google Search, Google Site Search, Google News from the terminal."
+url="https://github.com/jarun/googler"
+arch="noarch"
+license="GPL3"
+depends="python3"
+subpackages="$pkgname-doc"
+source="https://github.com/jarun/${pkgname}/archive/v${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+package() {
+	cd "$builddir"
+	make disable-self-upgrade || return 1
+	make install DESTDIR="$pkgdir" PREFIX=/usr || return 1
+}
+
+sha512sums="0fbeb2ca1a70f37ee35b80afebad6e587f42f2b9cae521ee9f057a82cb863509f686ef60b9428244b75a43bda6963b5805d9339e76ffb060bff7f40d8aeabe0c  v2.9.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Mar 05 2017 - 14:55:52 GMT